jQuery(document).ready(function($){
    $('.column-status').on('click', '.es-report-action', function(e) {
        e.preventDefault();

        let elem             = $(this);
        let elem_tr          = $(this).closest('tr');
        let campaign_id      = $(elem).data('campaign-id');
        let mailing_queue_id = $(elem).data('mailing-queue-id');
        let report_action    = $(elem).hasClass('pause') ? 'pause' : 'resume';
        let screen           = 'undefined' !== typeof mailing_queue_id ? 'report' : 'campaign';

        let data = {
            action: 'ig_es_pause_resume_report',
            campaign_id: campaign_id,
            mailing_queue_id: mailing_queue_id,
            report_action: report_action,
            screen: screen,
            security: ig_es_js_data.security
        }
        
        jQuery.ajax({
            method: 'POST',
            url: ajaxurl,
            data: data,
            dataType: 'json',
            beforeSend: function() {
                $(elem_tr).addClass('loading pointer-events-none');
            },
            success: function (response) {
                if ( response.success ) {
                    let new_staus = 'pause' === report_action ? 'paused' : 'sending';
                    $(elem_tr).attr('data-status', new_staus);
                    $(elem).closest('.column-status').html(response.data.status_html);
                } else {
                    alert( ig_es_js_data.i18n_data.ajax_error_message );
                }
            },
            error: function (err) {
                alert( ig_es_js_data.i18n_data.ajax_error_message );
            }
        }).always(function(){
            $(elem_tr).removeClass('loading pointer-events-none');
        });
    });


});