<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Products items list
 *
 * Start-IG-Code
 * Override this template by copying it to yourtheme/woocommerce/email-subscribers/email/product-grid-2-col.php
 * End-IG-Code
 * 
 * Start-Woo-Code
 * Override this template by copying it to yourtheme/woocommerce/icegram-marketing-automation/email/product-grid-2-col.php
 * End-Woo-Code
 * 
 * @var WC_Product[] $products
 * @var Workflow $workflow
 * @var string $variable_name
 * @var string $data_type
 * @var string $data_field
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$product_counter = 1;
$allowed_html_tags = ig_es_allowed_html_tags_in_esc();
?>

	<?php 
	if ( is_array( $products ) ) :
		$total_products = count( $products );
		?>

		
		<table cellspacing="0" cellpadding="5" class="ig-es-product-grid">
			<tbody>
						<?php foreach ( $products as $product ) : ?>
						<?php 
							if ( 1 === $product_counter % 2 ) {
								?>
								<tr>
								<?php
							}
							?>
						<td class="ig-es-product-grid-item-2-col" style="<?php echo ( $product_counter % 2 ? '' : 'margin-right: 0;' ); ?>">

							<a href="<?php echo esc_url( $product->get_permalink() ); ?>">
								<?php
									$image_url = ig_es_get_wc_product_image_url( $product, 'thumbnail' );
								?>
								<img src="<?php echo esc_url( $image_url ); ?>" class="ig-es-product-image" alt="<?php echo esc_attr( $product->get_name() ); ?>">
							</a>
							<h3><a href="<?php echo esc_url( $product->get_permalink() ); ?>"><?php echo esc_html( $product->get_name() ); ?></a></h3>
							<p class="price"><strong><?php echo wp_kses( $product->get_price_html(), $allowed_html_tags ); ?></strong></p>

						</td>
						<?php 
							if ( 0 === $product_counter % 2 || $product_counter === $total_products ) {
								?>
								</tr>
								<?php
							}
							?>
						<?php 
						$product_counter++;
							endforeach; 
						?>

					
			</tbody>
		</table>

	<?php endif; ?>
