<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable Abstract Price Class.
 *
 * @since 4.6.9
 *
 */
abstract class IG_ES_Variable_Abstract_Price extends IG_ES_Workflow_Variable {

	/**
	 * Load Admin Details.
	 */
	public function load_admin_details() {
		$this->add_parameter_select_field(
			'format',
			__( 'Choose to display the amount as a formatted price or numerical value.', 'email-subscribers' ),
			array(
				''        => __( 'Price', 'email-subscribers' ),
				'decimal' => __( 'Decimal', 'email-subscribers' ),
			),
			false
		);
	}

	/**
	 * Maybe Format Price.
	 *
	 * @param  string $amount
	 * @param  array  $parameters
	 * @param  string $currency
	 *
	 * @return string
	 * 
	 */
	protected function format_amount( $amount, $parameters, $currency = null ) {

		$format = isset( $parameters['format'] ) ? $parameters['format'] : 'price';

		switch ( $format ) {
			case 'decimal':
				return wc_format_localized_price( ES_Format::decimal( $amount ) );
			default:
				return wc_price( $amount, array( 'currency' => $currency ) );
		}
	}
}
