<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * This class is used to define the { shop.url } variable.
 *
 * @since 5.3.8
 */
class IG_ES_Variable_Shop_Url extends IG_ES_Workflow_Variable {

	/**
	 * Prepare details of the variable to display to the merchant.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the URL to the shop section of your site.', 'email-subscribers' );
	}

	/**
	 * Returns variable value.
	 *
	 * @param array $parameters List of parameters used to build the variable.
	 *
	 * @return string Url to the shop section of the site.
	 */
	public function get_value( $parameters ) {
		return wc_get_page_permalink( 'shop' );
	}
}

return new IG_ES_Variable_Shop_Url();
