<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.billing_address_line_1}} placeholder
 */
class IG_ES_Variable_Order_Billing_Address_Line_1 extends IG_ES_Workflow_Variable {

	/**
	 * Load description for variable in admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the first line of the order billing address.', 'email-subscribers' );
	}

	/**
	 * Get first line of order billing address
	 *
	 * @param WC_Order $order
	 *
	 * @return mixed
	 */
	public function get_value( $order ) {
		return $order->get_billing_address_1();
	}
}

return new IG_ES_Variable_Order_Billing_Address_Line_1();
