<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.billing_address}} placeholder
 */
class IG_ES_Variable_Order_Billing_Address extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the formatted billing address for the order.', 'email-subscribers' );
	}


	/**
	 * Get order billing address from order
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_formatted_billing_address();
	}
}

return new IG_ES_Variable_Order_Billing_Address();
