<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.billing_phone}} placeholder
 */
class IG_ES_Variable_Order_Billing_Phone extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the billing phone number for the order.', 'email-subscribers');
	}


	/**
	 * Get order billing address from order
	 * 
	 * @param WC_Order $order
	 *
	 * @return string
	 */
	public function get_value( $order ) {
		return $order->get_billing_phone();
	}
}

return new IG_ES_Variable_Order_Billing_Phone();
