<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.customer_details}} placeholder
 */
class IG_ES_Variable_Order_Customer_Details extends IG_ES_Workflow_Variable {

	/**
	 * Method to set description and other admin props
	 *
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the HTML formatted customer details that are normally shown at the bottom of order transactional emails.', 'email-subscribers' );
	}


	/**
	 * Get customer details from order
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		WC()->mailer();
		ob_start();
		do_action( 'woocommerce_email_customer_details', $order, false, false, '' );
		return ob_get_clean();
	}
}

return new IG_ES_Variable_Order_Customer_Details();
