<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.customer_note}} placeholder
 */
class IG_ES_Variable_Order_Customer_Note extends IG_ES_Workflow_Variable {

	/**
	 * Load description for variable in admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the customer provided note for the order.', 'email-subscribers' );
	}

	/**
	 * Get customer provided note
	 * 
	 * @param $order \WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_customer_note();
	}
}

return new IG_ES_Variable_Order_Customer_Note();
