<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.items_count}} placeholder
 */
class IG_ES_Variable_Order_Items_Count extends IG_ES_Workflow_Variable {

	/**
	 * Load admin details.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the number of items in the order.', 'email-subscribers');
	}


	/**
	 * Get order items count
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_item_count();
	}
}


return new IG_ES_Variable_Order_Items_Count();
