<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.order_meta}} placeholder
 */
class IG_ES_Variable_Order_Meta extends IG_ES_Variable_Abstract_Meta {

	/**
	 * Load admin details.
	 */
	public function load_admin_details() {
		parent::load_admin_details();
		$this->description = __( 'Displays the value of an order custom field.', 'email-subscribers');
	}


	/**
	 * Get order meta field value
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		if ( $parameters['key'] ) {
			return (string) $order->get_meta( $parameters['key'] );
		}
		return '';
	}
}

return new IG_ES_Variable_Order_Meta();
