<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.payment_method}} placeholder
 */
class IG_ES_Variable_Order_Payment_Method extends IG_ES_Workflow_Variable {

	/**
	 * Load admin details.
	 */
	public function load_admin_details() {
		$this->add_parameter_select_field(
			'format',
			__( 'Choose whether to display the title or the ID of the payment method.', 'email-subscribers' ),
			array(
				''   => __( 'Title', 'email-subscribers' ),
				'id' => __( 'ID', 'email-subscribers' )
			),
		false );

		$this->description = __( 'Displays the payment method for the order.', 'email-subscribers' );
	}


	/**
	 * Get order payment method
	 * 
	 * @param WC_Order $order
	 * @param array     $parameters
	 *
	 * @return string
	 */
	public function get_value( $order, $parameters ) {

		$display = isset( $parameters['format'] ) ? $parameters['format'] : 'title';

		switch ( $display ) {
			case 'id':
				return $order->get_payment_method();
			case 'title':
				return $order->get_payment_method_title();
		}
	}
}

return new IG_ES_Variable_Order_Payment_Method();
