<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.payment_url}} placeholder
 */
class IG_ES_Variable_Order_Payment_Url extends IG_ES_Workflow_Variable {

	/**
	 * Load admin details.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays a payment URL for the order.', 'email-subscribers' );
	}

	/**
	 * Get order payment URL
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_checkout_payment_url();
	}
}

return new IG_ES_Variable_Order_Payment_Url();
