<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.shipping_address_line_2}} placeholder
 */
class IG_ES_Variable_Order_Shipping_Address_Line_2 extends IG_ES_Workflow_Variable {

	/**
	 * Load description for variable in admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the first line of the order shipping address.', 'email-subscribers' );
	}

	/**
	 * Get first line of order shipping address
	 *
	 * @param WC_Order $order
	 *
	 * @return mixed
	 */
	public function get_value( $order ) {
		return $order->get_shipping_address_2();
	}
}

return new IG_ES_Variable_Order_Shipping_Address_Line_2();
