<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.shipping_address}} placeholder
 */
class IG_ES_Variable_Order_Shipping_Address extends IG_ES_Workflow_Variable {

	/**
	 * Load admin details.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the formatted shipping address for the order.', 'email-subscribers' );
	}

	/**
	 * Get order shipping address
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_formatted_shipping_address();
	}
}

return new IG_ES_Variable_Order_Shipping_Address();
