<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.shipping_company_name}} placeholder
 */
class IG_ES_Variable_Order_Shipping_Company_Name extends IG_ES_Workflow_Variable {

	/**
	 * Load description for variable in admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the shipping company name for the order.', 'email-subscribers' );
	}


	/**
	 * Get the shipping company name.
	 *
	 * @param WC_Order $order
	 *
	 * @return string
	 */
	public function get_value( $order ) {
		return $order->get_shipping_company();
	}
}

return new IG_ES_Variable_Order_Shipping_Company_Name();
