<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.shipping_first_name}} placeholder
 */
class IG_ES_Variable_Order_Shipping_First_Name extends IG_ES_Workflow_Variable {

	/**
	 * Load description for variable in admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the shipping first name of the order.', 'email-subscribers' );
	}

	/**
	 * Returns the shipping address's first name.
	 *
	 * @param WC_Order $order
	 *
	 * @return string
	 */
	public function get_value( $order ) {
		return $order->get_shipping_first_name();
	}
}

return new IG_ES_Variable_Order_Shipping_First_Name();
