<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.shipping_postcode}} placeholder
 */
class IG_ES_Variable_Order_Shipping_Postcode extends IG_ES_Workflow_Variable {

	/**
	 * Load description for variable in admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the shipping postcode for the order.', 'email-subscribers' );
	}

	/**
	 * Return the shipping postcode.
	 *
	 * @param WC_Order $order
	 *
	 * @return string
	 */
	public function get_value( $order ) {
		return $order->get_shipping_postcode();
	}
}

return new IG_ES_Variable_Order_Shipping_Postcode();
