<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.status}} placeholder
 */
class IG_ES_Variable_Order_Status extends IG_ES_Workflow_Variable {

	/**
	 * Load description for variable in admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays the status of the order.', 'email-subscribers');
	}

	/**
	 * Get order status
	 * 
	 * @param $order \WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_status();
	}
}

return new IG_ES_Variable_Order_Status();
