<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable_Order_Subtotal class.
 *
 * @since 4.6.9
 */
class IG_ES_Variable_Order_Subtotal extends IG_ES_Variable_Abstract_Price {

	/**
	 * Load admin details.
	 */
	public function load_admin_details() {
		parent::load_admin_details();
		$this->description = __( 'Displays the order subtotal.', 'email-subscribers' );
	}

	/**
	 * Get the value of this variable.
	 *
	 * @param WC_Order $order
	 * @param array     $parameters
	 *
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return parent::format_amount( $order->get_subtotal(), $parameters );
	}
}

return new IG_ES_Variable_Order_Subtotal();
