<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.total}} placeholder
 */
class IG_ES_Variable_Order_Total extends IG_ES_Variable_Abstract_Price {

	/**
	 * Load Admin Details.
	 */
	public function load_admin_details() {
		parent::load_admin_details();
		$this->description = __( 'Displays the total cost of the order.', 'email-subscribers' );
	}


	/**
	 * Get Value Method.
	 *
	 * @param WC_Order $order
	 * @param array     $parameters
	 *
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return parent::format_amount( $order->get_total(), $parameters );
	}
}

return new IG_ES_Variable_Order_Total();
