<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Variable class to get value for {{wc_order.view_url}} placeholder
 */
class IG_ES_Variable_Order_View_Url extends IG_ES_Workflow_Variable {

	/**
	 * Load description for variable in admin screen.
	 */
	public function load_admin_details() {
		$this->description = __( 'Displays a URL to view the order in the user account area.', 'email-subscribers' );
	}


	/**
	 * Get order view url
	 * 
	 * @param $order WC_Order
	 * @param $parameters array
	 * @return string
	 */
	public function get_value( $order, $parameters ) {
		return $order->get_view_order_url();
	}
}

return new IG_ES_Variable_Order_View_Url();
